#include "Keyboard.h"

#include <Bounce2.h>

int pin_no=2;

Bounce button2 = Bounce(pin_no, 10);


void setup() {
  // put your setup code here, to run once:
  Keyboard.begin();
  pinMode(pin_no, INPUT_PULLUP);
}

//KEYCODES
//https://www.arduino.cc/reference/en/language/functions/usb/keyboard/keyboardmodifiers/
/*
 * LEFT_SHIFT:  0x81
 * 
 * F13: 0xF0
 * F14: 0xF1
 * F15: 0xF2
 * F16: 0xF3
 * F17: 0xF4
 * F18: 0xF5
 * F19: 0xF6
 * F20: 0xF7
 * 
 * APPLE IOS ONLY GOES TO F20!!
 * F21: 0xF8
 * F22: 0xF9
 * F23: 0xFA
 * F24: 0xFB
 *  
 */


void loop() {
  // put your main code here, to run repeatedly:
  button2.update();
  if (button2.fallingEdge()) {

    Keyboard.press(0x81);
    Keyboard.press(0xF6);
    Keyboard.releaseAll();

  }
  if (button2.risingEdge()) {

    Keyboard.press(0x81);
    Keyboard.press(0xF7);
    Keyboard.releaseAll();
    
  }

  
}
